import josx.platform.rcx.*;

public class ConsumerApplication extends AbstractApplication {

	public ConsumerApplication() throws InterruptedException {

		super();

		LightSensorListener.init(Sensor.S2);

//		Thread.sleep(1000);
//
//		move(LEFT);
//		while (LightSensorListener.getColor() == BLACK);
//
//		int t1 = (int) System.currentTimeMillis();
//		while (LightSensorListener.getColor() != BLACK);
//		
//		
//		t1 = (int) System.currentTimeMillis() - t1;
//
//		move(RIGHT);
//		while (LightSensorListener.getColor() == BLACK);
//
//		int t2 = (int) System.currentTimeMillis();
//		while (LightSensorListener.getColor() != BLACK);
//		
//		t2 = (int) System.currentTimeMillis() - t2;
//
//		move(STOP);

		//LineSeek.setFactor(t1, t2);
		
		LineSeek.setFactor(1, 1);

		// initialise S2
		new LightSensorListener();
		
		waitForErnie();
		
		// start moving forward
		move(FORWARD);
		while (!Thread.interrupted())
			;

		move(STOP);

	}
	
	public static void waitForErnie() {
		
		LightSensorListener.setEnabled(false);
		
		while (true) {
			
			while(!Serial.isPacketAvailable());
		
			byte[] b = {0,0};		 
		
			Serial.readPacket(b);
		
			if (b[1] == 23)
				{
				 Sound.beepSequence();
				
				 LightSensorListener.setEnabled(true);
				 
				 return;		
				}
		
		}
		
		
		
//		while (otherRound < LightSensorListener.getRound());
		
//		LightSensorListener.setEnabled(true);
		
	}

	public static void main(String[] args) throws InterruptedException {
		new ConsumerApplication();
	}

}
